import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    regionCode: '13609',
    userInfo: {},
    userMenus: [],
    timeOut: false,
    httpErro: false
  },
  mutations: {
    setRegionCode(state, regionCode) {
      state.regionCode = regionCode
    },
    setUserInfo(state, useInfo) {
      state.userInfo = useInfo
    },
    setUserMenus(state, data) {
      state.userMenus = data
    },
    setTimeOut(state, timeOut) {
      state.timeOut = timeOut
    },
    setHttpErro(state, httpErro) {
      state.httpErro = httpErro
    }
  },
  actions: {},
  modules: {}
})
